task bcftools {
  
  File ref_dir
  String fasta
  File vcf_indels
  File vcf_snvs
  String sample_id
  String docker
  String cluster_config
  String disk_size

  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    
    bcftools concat -a ${vcf_indels} ${vcf_snvs} -Oz -o ${sample_id}_stralka.vcf.gz
    bcftools index -t ${sample_id}_stralka.vcf.gz

  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  
  output {
    File concat_vcf = "${sample_id}_stralka.vcf.gz"
    File concat_vcf_index = "${sample_id}_stralka.vcf.gz.tbi"
  }
}